package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 消防数据
 */
public class XfDataVo {

    /** 设备唯一标识符 */
    private String deviceId;

    /** 消防名称 */
    private String deviceName;

    /** 通信状态 */
    private String emsCommunicationStatus;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** 主电源备用电池状态 */
    private BigDecimal dczt;

    /** 手自动状态延时状态 */
    private BigDecimal yszt;

    /** 启动喷洒气体喷洒状态 */
    private BigDecimal pszt;

    /** 压力开关状态电磁阀状态 */
    private BigDecimal dcfzt;

    /** 报警个数 */
    private int alarmNum;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getEmsCommunicationStatus() {
        return emsCommunicationStatus;
    }

    public void setEmsCommunicationStatus(String emsCommunicationStatus) {
        this.emsCommunicationStatus = emsCommunicationStatus;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public BigDecimal getDczt() {
        return dczt;
    }

    public void setDczt(BigDecimal dczt) {
        this.dczt = dczt;
    }

    public BigDecimal getYszt() {
        return yszt;
    }

    public void setYszt(BigDecimal yszt) {
        this.yszt = yszt;
    }

    public BigDecimal getPszt() {
        return pszt;
    }

    public void setPszt(BigDecimal pszt) {
        this.pszt = pszt;
    }

    public BigDecimal getDcfzt() {
        return dcfzt;
    }

    public void setDcfzt(BigDecimal dcfzt) {
        this.dcfzt = dcfzt;
    }

    public int getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(int alarmNum) {
        this.alarmNum = alarmNum;
    }
}
